Bug 58553 - improve-task-t-return-type-description tool incorrectly types Task from completion handler arguments
Summary: improve-task-t-return-type-description tool incorrectly types Task from compl...
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: XI 10.99 (xcode9)
Hardware: Macintosh All
: Normal enhancement
Target Milestone: Future Cycle (TBD)
Assignee: Manuel de la Peña [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-08-02 19:19 UTC by Mike Norman
Modified: 2017-10-31 13:14 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Mike Norman 2017-08-02 19:19:14 UTC
I found the following in ./en/MonoTouch.WebKit/WKContentRuleListStore.xml:

<para class="improve-task-t-return-type-description">A task that represents the asynchronous CompileContentRuleList operation.  The value of the TResult parameter is of type MonoTouch.WebKit.WKContentRuleList,MonoTouch.Foundation.NSError.</para>

The specified "type" is the argument list for the completion handler in the non-Async version of the method. There is not a simple rule that generates the Task return type from the completion handler. If these descriptions are necessary, please use the actual Task type from the Async method (System.Threading.Tasks.Task&lt;MonoTouch.WebKit.WKContentRuleList&gt;, in this case) to fill out this field, instead.
Comment 1 Mike Norman 2017-08-02 19:27:08 UTC
While a text search will yield the method, I found it in CompileContentRuleListAsync()
Comment 2 Manuel de la Peña [MSFT] 2017-10-31 13:14:46 UTC
This was fix in a PR related to a diff bug -> https://github.com/xamarin/maccore/pull/561